html,
body {
    overflow-x: hidden;
    height: 100%;
}

body {
    background-color: #222;
    color: #DDD;
}

.main {
    height: calc(100% - 140px);
    height: -o-calc(100% - 140px);
    /* opera */
    height: -webkit-calc(100% - 140px);
    /* google, safari */
    height: -moz-calc(100% - 140px);
    /* firefox */
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 50px;
    line-height: 50px;
    background-color: rgb(41, 41, 41);
}

.panel {
    padding: 0 10px;
}

#title-hplayer {
    color: #AAA;
}

.media-info {
    /* font-size: 0.9em; */
}

.log-data {
    overflow-y: scroll;
}

.btn-sm {
    padding: 0.0rem .25rem;
}

#files {
    overflow-y: auto;
    background-color: #444;
    color: #EEE;
}

#link-connected {
    float: right;
    color: green;
    display: none;
}

#link-disconnected {
    color: red;
    float: right;
}

.btn-outlined-success {
    color: #28a745;
    background-color: transparent;
    background-image: none;
    border-color: #28a745;
}

.btn-outlined-warning {
    color: #ffc107;
    background-color: transparent;
    background-image: none;
    border-color: #ffc107;
}

.btn-outlined-secondary {
    color: #6c757d;
    background-color: transparent;
    background-image: none;
    border-color: #6c757d;
}

.btn-outlined-danger {
    color: #dc3545;
    background-color: transparent;
    background-image: none;
    border-color: #dc3545;
}

.btn-outlined-info {
    color: #17a2b8;
    background-color: transparent;
    background-image: none;
    border-color: #17a2b8;
}

input[type=text] {
    padding: 0px 3px;
    width: 100%;
}

select {
    margin: -3px 0px 10px 0px;
    padding: 2px;
    width: 100%;
}

input[type=range] {
    width: 100%;
    /* margin: 13.8px 0; */
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    /* width: 100%; */
    height: 4px;
    cursor: pointer;
}

.media .mb-2 {
    margin-bottom: 0.3rem!important;
}

a {
    color: #222;
}

li.active {
    background-color: #DDD;
}